%define module	django
%define tarname	Django

Summary:	A high-level Python Web framework
Name:		python-%{module}14
Version:	1.4.20
Release:	%mkrel 1
Source0:	http://www.djangoproject.com/m/releases/1.4/Django-%{version}.tar.gz
Source1:    simplejson-init.py
License:	BSD
Group:		Development/Python
Url:		http://www.djangoproject.com
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-devel

# provide compatibility with python-django
Provides:       python-django = %{version}-%{release}
Obsoletes:      python-django < 1.4.20
Conflicts:      python-django >= 1.5

%description
Django is a high-level Python Web framework that encourages rapid development
and clean, pragmatic design.

Developed and used over the past two years by a fast-moving online-news
operation, Django was designed from scratch to handle two challenges: the
intensive deadlines of a newsroom and the stringent requirements of experienced
Web developers. It has convenient niceties for developing content-management
systems, but it's an excellent tool for building any Web site.

Django focuses on automating as much as possible and adhering to the
DRY principle.

%prep
%setup -q -n %{tarname}-%{version}
# remove bundled eggs
find . -name "*.egg" -exec rm -f '{}' \;

# empty files
for f in \
    django/contrib/humanize/models.py \
    django/contrib/markup/models.py \
    django/contrib/staticfiles/models.py \
    django/contrib/webdesign/models.py \
; do
  echo "# just a comment" > $f
done
echo "<!-- nothing -->" > django/contrib/flatpages/tests/templates/registration/login.html

# remove bundled simplejson (for tests)
cd django/utils/simplejson
rm -rf *
# and put the replacement stub in place
cp -p %{SOURCE1} __init__.py

%build
%{__python} setup.py build
make -C docs/ html

%install
%{__python} setup.py install --skip-build --root=%{buildroot}

%files
%doc LICENSE README docs/_build/html
%{_bindir}/*
%{python_sitelib}/%{module}
%{python_sitelib}/%{tarname}-*.egg-info



%changelog
* Thu Mar 19 2015 philippem <philippem> 1.4.20-1.mga4
+ Revision: 818957
- update to 1.4.20, fix CVE-2015-2317 mga#15528
- Update to 1.4.18, security fix mga#15045
- revert to no parallel install
- add missing requires
- update to 1.4.14, security fix for CVE-2014-0481, CVE-2014-0482, CVE-2014-0483
- 1.4.13 (fixes CVE-2014-1418, CVE-2014-3730)
- fix regression with upstream patch dj#22486
- 1.4.11 (fixes CVE-2014-0472, CVE-2014-0473, CVE-2014-0474)

* Wed Oct 30 2013 philippem <philippem> 1.4.8-2.mga4
+ Revision: 547925
- provide compatibility with python-django

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Thu Oct 17 2013 neoclust <neoclust> 1.4.8-1.mga4
+ Revision: 502191
- imported package python-django14



* Tue Feb 26 2013 dmorgan <dmorgan> 1.4.5-1.mga3
+ Revision: 400426
- New version

* Sun Jan 13 2013 umeabot <umeabot> 1.4.3-2.mga3
+ Revision: 378662
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 1.4.3-1.mga3
+ Revision: 330338
- New version 1.4.3

* Thu Oct 18 2012 philippem <philippem> 1.4.2-1.mga3
+ Revision: 308004
- Fix security issues (https://www.djangoproject.com/weblog/2012/oct/17/security/)

* Sun Aug 12 2012 philippem <philippem> 1.4.1-1.mga3
+ Revision: 280862
- Fix #6986 several security issues.
- CVE-2012-3442: Cross-site scripting in authentication views
- CVE-2012-3443: Denial-of-service in image validation
- CVE-2012-3444: Denial-of-service via get_image_dimensions()

* Wed Jul 18 2012 obgr_seneca <obgr_seneca> 1.4-1.mga3
+ Revision: 272259
- new version 1.4

* Mon Sep 12 2011 misc <misc> 1.3.1-1.mga2
+ Revision: 142749
- upgrade to 1.3.1
- clean the specs file

* Mon Apr 18 2011 misc <misc> 1.3-1.mga1
+ Revision: 87658
- update to latest stable version of django

* Mon Feb 21 2011 ahmad <ahmad> 1.2.3-5.mga1
+ Revision: 55680
- resubmit, now that python-sphinx can be installed
- rebuild to make all pythonegg requires/provides lowercase

* Wed Feb 02 2011 dmorgan <dmorgan> 1.2.3-3.mga1
+ Revision: 46241
- imported package python-django


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 1.2.3-2mdv2011.0
+ Revision: 590117
- rebuild for python 2.7

* Sun Sep 12 2010 Michael Scherer <misc@mandriva.org> 1.2.3-1mdv2011.0
+ Revision: 577706
- update to 1.2.3, security fixes

* Mon May 24 2010 Lev Givon <lev@mandriva.org> 1.2.1-1mdv2011.0
+ Revision: 545833
- Update to 1.2.1.
- Update to 1.2.

* Thu Apr 22 2010 Lev Givon <lev@mandriva.org> 1.1.1-3mdv2010.1
+ Revision: 538032
- Build documentation.

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-2mdv2010.1
+ Revision: 523764
- rebuilt for 2010.1

* Sun Oct 11 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.1-1mdv2010.0
+ Revision: 456644
- update to new version 1.1.1

* Mon Aug 03 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1-1mdv2010.0
+ Revision: 408536
- Update to new version 1.1

* Fri Jun 19 2009 Lev Givon <lev@mandriva.org> 1.0.2-1mdv2010.0
+ Revision: 387237
- Update to 1.0.2-final.

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 1.0-2mdv2009.1
+ Revision: 319398
- fix file list
- rebuild for new python

* Thu Sep 04 2008 Michael Scherer <misc@mandriva.org> 1.0-1mdv2009.0
+ Revision: 280390
- update to new version 1.0

* Wed Sep 03 2008 Michael Scherer <misc@mandriva.org> 0.96.3-1mdv2009.0
+ Revision: 279588
- update to 0.96.3
- fix end of line spacing

* Tue May 20 2008 Michael Scherer <misc@mandriva.org> 0.96.2-1mdv2009.0
+ Revision: 209329
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 09 2007 Michael Scherer <misc@mandriva.org> 0.96.1-1mdv2008.1
+ Revision: 107003
- update to latest version
- really fix the backporting ( in fact, unbreak the build on cooker )
- fix backporting on 2007.0

* Tue May 01 2007 Michael Scherer <misc@mandriva.org> 0.96-1mdv2008.0
+ Revision: 19918
- update to 0.96


* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.95-2mdv2007.0
+ Revision: 90841
- Rebuild

  + Michael Scherer <misc@mandriva.org>
    - Import python-django

* Tue Aug 01 2006 Michael Scherer <misc@mandriva.org> 0.95-1mdv2007.0
- New version 0.95

* Fri Jan 13 2006 Michael Scherer <misc@mandriva.org> 0.91-1mdk
- New release 0.91

* Thu Nov 17 2005 Michael Scherer <misc@mandriva.org> 0.90-1mdk
- initial package

